Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.common.domain.client
Class ContentResourceImpl

    java.lang.Object
      com.jaspersoft.jasperserver.api.metadata.common.domain.client.ResourceImpl
          com.jaspersoft.jasperserver.api.metadata.common.domain.client.ContentResourceImpl

All Implemented Interfaces:
  AttributedObject, ContentResource, InternalURI, Resource, java.io.Serializable, org.acegisecurity.acl.basic.AclObjectIdentity

    public class ContentResourceImpl

extends ResourceImpl
implements ContentResource

See Also:
  Serialized Form

Field Summary

Fields inherited from interface com.jaspersoft.jasperserver.api.metadata.common.domain.ContentResource
`TYPE_CSV, TYPE_HTML, TYPE_PDF, TYPE_RTF, TYPE_XLS`

Fields inherited from interface com.jaspersoft.jasperserver.api.metadata.common.domain.Resource
`URI_PROTOCOL, VERSION_NEW`

Constructor Summary
`ContentResourceImpl()`

Method Summary
`void` | `addChildResource(ContentResource child)`
`byte[]` | `getData()`
`java.io.InputStream` | `getDataStream()`
`java.lang.String` | `getFileType()`
`protected java.lang.Class` | `getImplementingItf()`
`java.lang.String` | `getReferenceURI()`
`java.util.List` | `getResources()`
`boolean` | `hasData()`
`boolean` | `isReference()`
`void` | `readData(java.io.InputStream is)`
`void` | `setData(byte[] data)`
`void` | `setFileType(java.lang.String fileType)`
`void` | `setReferenceURI(java.lang.String referenceURI)`
`void` | `setResources(java.util.List resources)`

Methods inherited from class com.jaspersoft.jasperserver.api.metadata.common.domain.client.ResourceImpl
`getAttributes, getCreationDate, getDescription, getLabel, getName, getParentFolder, getParentPath, getParentURI, getPath, getProtocol, getResourceType, getURI, getURIString, getVersion, isNew, setAttributes, setCreationDate, setDescription, setLabel, setName, setParentFolder, setParentFolder, setURIString, setVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.jaspersoft.jasperserver.api.metadata.common.domain.Resource
`getCreationDate, getDescription, getLabel, getName, getParentFolder, getResourceType, getURIString, getVersion, isNew, setCreationDate, setDescription, setLabel, setName, setParentFolder, setParentFolder, setURIString, setVersion`

Methods inherited from interface com.jaspersoft.jasperserver.api.common.domain.AttributedObject
`getAttributes, setAttributes`

Methods inherited from interface com.jaspersoft.jasperserver.api.metadata.common.domain.InternalURI
`getParentPath, getParentURI, getPath, getProtocol, getURI`

Methods inherited from interface org.acegisecurity.acl.basic.AclObjectIdentity
`equals, hashCode`

Constructor Detail

### ContentResourceImpl

    public ContentResourceImpl()

Method Detail

### getData

    public byte[] getData()

  Specified by:
    `getData` in interface `ContentResource`

### setData

    public void setData(byte[] data)

  Specified by:
    `setData` in interface `ContentResource`

### readData

    public void readData(java.io.InputStream is)

  Specified by:
    `readData` in interface `ContentResource`

### getDataStream

    public java.io.InputStream getDataStream()

  Specified by:
    `getDataStream` in interface `ContentResource`

### getFileType

    public java.lang.String getFileType()

  Specified by:
    `getFileType` in interface `ContentResource`

### setFileType

    public void setFileType(java.lang.String fileType)

  Specified by:
    `setFileType` in interface `ContentResource`

### isReference

    public boolean isReference()

  Specified by:
    `isReference` in interface `ContentResource`

### getReferenceURI

    public java.lang.String getReferenceURI()

  Specified by:
    `getReferenceURI` in interface `ContentResource`

### setReferenceURI

    public void setReferenceURI(java.lang.String referenceURI)

  Specified by:
    `setReferenceURI` in interface `ContentResource`

### hasData

    public boolean hasData()

  Specified by:
    `hasData` in interface `ContentResource`

### getImplementingItf

    protected java.lang.Class getImplementingItf()

  Specified by:
    `getImplementingItf` in class `ResourceImpl`

### getResources

    public java.util.List getResources()

  Specified by:
    `getResources` in interface `ContentResource`

### setResources

    public void setResources(java.util.List resources)

  Specified by:
    `setResources` in interface `ContentResource`

### addChildResource

    public void addChildResource(ContentResource child)

  Specified by:
    `addChildResource` in interface `ContentResource`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.